Bug 1285514 - Review Request: php-paragonie-random-compat - PHP 5.x polyfill for random_bytes() and random_int() from PHP 7
Review Request: php-paragonie-random-compat - PHP 5.x polyfill for random_byt...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Remi Collet
Fedora Extras Quality Assurance
: Reopened
Depends On: 1286768
Blocks: php-symfony-polyfill
  Show dependency treegraph
 
Reported: 2015-11-25 14:41 EST by Shawn Iwinski
Modified: 2016-08-14 12:25 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-19 13:27:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
fedora: fedora‑review+


Attachments (Terms of Use)
phpci.log (8.01 KB, text/plain)
2015-11-30 04:22 EST, Remi Collet
no flags Details
review.txt (8.07 KB, text/plain)
2015-11-30 04:23 EST, Remi Collet
no flags Details

  None (edit)
Description Shawn Iwinski 2015-11-25 14:41:36 EST
Spec URL: https://raw.githubusercontent.com/siwinski/rpms/966cd349365bac4e85d76bcccd7db9f366c1144f/php-paragonie-random_compat/php-paragonie-random_compat.spec

SRPM URL: https://siwinski.fedorapeople.org/SRPMS/php-paragonie-random_compat-1.1.0-1.fc23.src.rpm

Description:
PHP 5.x polyfill for random_bytes() and random_int() from PHP 7


Fedora Account System Username: siwinski
Comment 1 Upstream Release Monitoring 2015-11-30 04:21:12 EST
remi's scratch build of php-paragonie-random_compat-1.1.0-1.fc21.remi.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=12014394
Comment 2 Remi Collet 2015-11-30 04:22 EST
Created attachment 1100394 [details]
phpci.log

phpCompatInfo version 4.5.2 DB built Nov 25 2015 18:15:42 CET static analyze results
Comment 3 Remi Collet 2015-11-30 04:23 EST
Created attachment 1100395 [details]
review.txt

Generated by fedora-review 0.5.3 (bcf15e3) last change: 2015-05-04
Comment 4 Remi Collet 2015-11-30 04:24:03 EST
=== MUST ===

[!]: Package is named according to the Package Naming Guidelines.

  From https://fedoraproject.org/wiki/Packaging:PHP

  As for other packages, name should only use lowercase, 
  underscore and slash replaced by dash. 

  => rename to php-paragonie-random-compat

=== COULD (packager choice) ===

[~]: Requires correct, justified where necessary.

  Please avoid mcrypt as much as possible
  See:
	https://github.com/paragonie/random_compat/issues/77
	http://blog.remirepo.net/post/2015/07/07/About-libmcrypt-and-php-mcrypt
	
  In all case, openssl will always be available


(perhaps I should submit pecl/libsodium for review...)
Comment 6 Remi Collet 2015-12-02 00:57:25 EST
[x]: Package is named according to the Package Naming Guidelines.
[x]: Requires correct, justified where necessary.

=== APPROVED ===
Comment 7 Gwyn Ciesla 2015-12-02 09:53:43 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/php-paragonie-random-compat
Comment 8 Fedora Update System 2015-12-08 19:04:08 EST
php-symfony-polyfill-1.0.0-3.el6 php-paragonie-random-compat-1.1.0-2.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-b22c5c7367
Comment 9 Fedora Update System 2015-12-08 19:04:08 EST
php-symfony-polyfill-1.0.0-3.fc22 php-paragonie-random-compat-1.1.0-2.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-6f7a7e13f2
Comment 10 Fedora Update System 2015-12-08 19:04:16 EST
php-symfony-polyfill-1.0.0-3.el7 php-paragonie-random-compat-1.1.0-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-f15e95a5bd
Comment 11 Fedora Update System 2015-12-08 19:04:17 EST
php-symfony-polyfill-1.0.0-3.fc23 php-paragonie-random-compat-1.1.0-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-49570b2383
Comment 12 Fedora Update System 2015-12-09 00:20:03 EST
php-paragonie-random-compat-1.1.0-2.el7, php-symfony-polyfill-1.0.0-3.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update php-symfony-polyfill php-paragonie-random-compat'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-f15e95a5bd
Comment 13 Fedora Update System 2015-12-09 00:49:37 EST
php-paragonie-random-compat-1.1.0-2.el6, php-symfony-polyfill-1.0.0-3.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update php-symfony-polyfill php-paragonie-random-compat'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-b22c5c7367
Comment 14 Fedora Update System 2015-12-09 18:23:25 EST
php-paragonie-random-compat-1.1.0-2.fc22, php-symfony-polyfill-1.0.0-3.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update php-symfony-polyfill php-paragonie-random-compat'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-6f7a7e13f2
Comment 15 Fedora Update System 2015-12-09 23:56:00 EST
php-paragonie-random-compat-1.1.0-2.fc23, php-symfony-polyfill-1.0.0-3.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update php-symfony-polyfill php-paragonie-random-compat'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-49570b2383
Comment 16 Fedora Update System 2015-12-19 13:27:38 EST
php-paragonie-random-compat-1.1.0-2.fc23, php-symfony-polyfill-1.0.0-3.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 17 Fedora Update System 2015-12-19 19:23:39 EST
php-paragonie-random-compat-1.1.0-2.fc22, php-symfony-polyfill-1.0.0-3.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 18 Fedora Update System 2015-12-28 16:26:14 EST
php-paragonie-random-compat-1.1.0-2.el7, php-symfony-polyfill-1.0.0-3.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.
Comment 19 Fedora Update System 2015-12-28 22:53:41 EST
php-paragonie-random-compat-1.1.0-2.el6, php-symfony-polyfill-1.0.0-3.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.